- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_color_space: RGB to HSV conversion

GTX Extensions (Experimental)

Related to RGB to HSV conversions and operations. More...

## Functions
template<typename valType >
detail::tvec3< valType > | hsvColor (detail::tvec3< valType > const &rgbValue)
| Converts a color from RGB color space to its color in HSV color space.
template<typename valType >
valType | luminosity (detail::tvec3< valType > const &color)
| Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.
template<typename valType >
detail::tvec3< valType > | rgbColor (detail::tvec3< valType > const &hsvValue)
| Converts a color from HSV color space to its color in RGB color space.
template<typename valType >
detail::tvec3< valType > | saturation (valType const s, detail::tvec3< valType > const &color)
| Modify the saturation of a color.
template<typename valType >
detail::tmat4x4< valType > | saturation (valType const s)
| Build a saturation matrix.
template<typename valType >
detail::tvec4< valType > | saturation (valType const s, detail::tvec4< valType > const &color)
| Modify the saturation of a color.

## Detailed Description

Related to RGB to HSV conversions and operations.

<glm/gtx/color_space.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<valType> glm::gtx::color_space::hsvColor | ( | detail::tvec3< valType > const & | rgbValue | ) |

Converts a color from RGB color space to its color in HSV color space.

From GLM_GTX_color_space extension.

valType glm::gtx::color_space::luminosity | ( | detail::tvec3< valType > const & | color | ) |

Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.

From GLM_GTX_color_space extension.

detail::tvec3<valType> glm::gtx::color_space::rgbColor | ( | detail::tvec3< valType > const & | hsvValue | ) |

Converts a color from HSV color space to its color in RGB color space.

From GLM_GTX_color_space extension.

detail::tvec3<valType> glm::gtx::color_space::saturation | ( | valType const | s,
|  | detail::tvec3< valType > const & | color
| ) |  |

Modify the saturation of a color.

From GLM_GTX_color_space extension.

detail::tmat4x4<valType> glm::gtx::color_space::saturation | ( | valType const | s | ) |

Build a saturation matrix.

From GLM_GTX_color_space extension

detail::tvec4<valType> glm::gtx::color_space::saturation | ( | valType const | s,
|  | detail::tvec4< valType > const & | color
| ) |  |

Modify the saturation of a color.

From GLM_GTX_color_space extension.